<template>
  <q-page class="flex flex-center column">
    <q-img
      alt="Quasar logo"
      src="statics/img/quassar-router.png"
      style="width: 400px;"
      class="q-mb-xl"
    />
    <q-form
      @submit="obtenerInfoFramework"
      class="q-gutter-md"
      style="width: 400px"
    >
      <q-input
        filled
        v-model="nombreMejorFramework"
        label="Ingresá el nombre del mejor framework de Vue"
        hint="Psst! Ingresá 'Quasar'"
        lazy-rules
        :rules="[
          val =>
            (val && esUnaSolaPalabra(val)) ||
            'Ingresá una sola palabra, por favor.'
        ]"
      />

      <div class="flex flex-center q-mt-l">
        <q-btn label="Enviar" type="submit" color="primary" />
      </div>
    </q-form>
  </q-page>
</template>

<script>
export default {
  name: "Index",

  data() {
    return {
      nombreMejorFramework: ""
    };
  },

  methods: {
    esUnaSolaPalabra(val) {
      let regexContieneNumeroSimboloOEspacio = new RegExp("(\\d+|\\W+)");
      return !regexContieneNumeroSimboloOEspacio.test(val);
    },
    obtenerInfoFramework() {
      // Acá deberíamos mostrar la pantalla de carga (componente Loading.vue)
      // y pasarle el nombre que ingresó el usuario.
    }
  }
};
</script>
